# -*- coding: utf-8 -*-
from item import *
minecraft = ['dmg', 'hp', 'speed', 'knock_resist', 'armor', 'armor_th', 'attk_speed']
custom = ['curse', 'luck', 'mana_speed', 'mana_cost', 'mana_capacity', 'souls_capacity']

s = [
    # big_strength
    Shard(
        name = JTxt('big_strength_shard.name','#EB0000', True, underlined = True),
        rank = Rank.S,
        size = ShardSize.big,
        model = '5011',
        stats = Stats([ Stat('dmg', 4) ]),
        bought = 12
        ),
    # big_attk_speed
    Shard(
        name = JTxt('big_attack_speed_shard.name','#FFE8BA', True, underlined = True),
        rank = Rank.S,
        size = ShardSize.big,
        model = '5021',
        stats = Stats([ Stat('attk_speed', 1) ]),
        price = 12
        ),
    # big_mana_cost
    Shard(
        name = JTxt('big_mana_cost_shard.name','#30DAE6', True, underlined = True),
        rank = Rank.S,
        size = ShardSize.big,
        model = '5031',
        stats = Stats([ Stat('mana_cost', -20) ]),
        bought = 12
        ),
    # big_speed
    Shard(
        name = JTxt('big_speed_shard.name','#8AF2E1', True, underlined = True),
        rank = Rank.S,
        size = ShardSize.big,
        model = '5041',
        stats = Stats([ Stat('speed', 0.016) ]),
        bought = 12
        ),
    # medium_flow
    Shard(
        name = JTxt('medium_flow_shard.name','#30DAE6', True, underlined = True),
        rank = Rank.S,
        size = ShardSize.medium,
        model = '5002',
        stats = Stats([ Stat('mana_speed', 2) ]),
        price = 12
        ),
    # medium_soul
    Shard(
        name = JTxt('medium_soul_shard.name','#27E8DB', True, underlined = True),
        rank = Rank.S,
        size = ShardSize.medium,
        model = '5004',
        stats = Stats([ Stat('souls_capacity', -2) ]),
        price = 12
        ),
]

a = [
    # big_health
    Shard(
        name = JTxt('big_health_shard.name','#E65779', True, underlined = True),
        rank = Rank.A,
        size = ShardSize.big,
        model = '5051',
        stats = Stats([ Stat('hp', 8) ]),
        price = 9
        ),
    # big_protection
    Shard(
        name = JTxt('big_protection_shard.name','#E0DACE', True, underlined = True),
        rank = Rank.A,
        size = ShardSize.big,
        model = '5061',
        stats = Stats([ Stat('armor', 8) ]),
        price = 9
        ),
    # big_mana
    Shard(
        name = JTxt('big_mana_shard.name','#30DAE6', True, underlined = True),
        rank = Rank.A,
        size = ShardSize.big,
        model = '5071',
        stats = Stats([ Stat('mana_capacity', 20) ]),
        bought = 9
        ),
    # big_luck
    Shard(
        name = JTxt('big_luck_shard.name','#5FF032', True, underlined = True),
        rank = Rank.A,
        size = ShardSize.big,
        model = '5081',
        stats = Stats([ Stat('luck', 20) ]),
        bought = 9
        ),
    # big_pure
    Shard(
        name = JTxt('big_pure_shard.name','#F7F3B0', True, underlined = True),
        rank = Rank.A,
        size = ShardSize.big,
        model = '5091',
        stats = Stats([ Stat('curse', -4) ]),
        bought = 9
        ),
    # small_flow
    Shard(
        name = JTxt('small_flow_shard.name','#30DAE6', True, underlined = True),
        rank = Rank.A,
        size = ShardSize.small,
        model = '5003',
        stats = Stats([ Stat('mana_speed', 1) ]),
        price = 9
        ),
    # small_soul
    Shard(
        name = JTxt('small_soul_shard.name','#27E8DB', True, underlined = True),
        rank = Rank.A,
        size = ShardSize.small,
        model = '5005',
        stats = Stats([ Stat('souls_capacity', -1) ]),
        price = 9
        ),
]

b = [
    # medium_strength
    Shard(
        name = JTxt('medium_strength_shard.name','#EB0000', True, underlined = True),
        rank = Rank.B,
        size = ShardSize.medium,
        model = '5012',
        stats = Stats([ Stat('dmg', 2) ]),
        bought = 6
        ),
    # medium_attk_speed
    Shard(
        name = JTxt('medium_attack_speed_shard.name','#FFE8BA', True, underlined = True),
        rank = Rank.B,
        size = ShardSize.medium,
        model = '5022',
        stats = Stats([ Stat('attk_speed', 0.50) ]),
        price = 6
        ),
    # medium_mana_cost
    Shard(
        name = JTxt('medium_mana_cost_shard.name','#30DAE6', True, underlined = True),
        rank = Rank.B,
        size = ShardSize.medium,
        model = '5032',
        stats = Stats([ Stat('mana_cost', -10) ]),
        bought = 6
        ),
    # medium_speed
    Shard(
        name = JTxt('medium_speed_shard.name','#8AF2E1', True, underlined = True),
        rank = Rank.B,
        size = ShardSize.medium,
        model = '5042',
        stats = Stats([ Stat('speed', 0.008) ]),
        bought = 6
        ),
]

c = [
    # medium_health
    Shard(
        name = JTxt('medium_health_shard.name','#E65779', True, underlined = True),
        rank = Rank.C,
        size = ShardSize.medium,
        model = '5052',
        stats = Stats([ Stat('hp', 4) ]),
        price = 3
        ),
    # medium_protection
    Shard(
        name = JTxt('medium_protection_shard.name','#E0DACE', True, underlined = True),
        rank = Rank.C,
        size = ShardSize.medium,
        model = '5062',
        stats = Stats([ Stat('armor', 4) ]),
        price = 3
        ),
    # medium_mana
    Shard(
        name = JTxt('medium_mana_shard.name','#30DAE6', True, underlined = True),
        rank = Rank.C,
        size = ShardSize.medium,
        model = '5072',
        stats = Stats([ Stat('mana_capacity', 10) ]),
        bought = 3
        ),
    # medium_luck
    Shard(
        name = JTxt('medium_luck_shard.name','#5FF032', True, underlined = True),
        rank = Rank.C,
        size = ShardSize.medium,
        model = '5082',
        stats = Stats([ Stat('luck', 10) ]),
        bought = 3
        ),
    # medium_pure
    Shard(
        name = JTxt('medium_pure_shard.name','#F7F3B0', True, underlined = True),
        rank = Rank.C,
        size = ShardSize.medium,
        model = '5092',
        stats = Stats([ Stat('curse', -2) ]),
        bought = 3
        ),
    #spinning
    Shard(
        name = JTxt('spinning_shard.name','#D190DE', True, underlined = True),
        lore = Lore([
            JPar(['spinning_shard.lore.l0'], translate=True),
            JPar([
                JLine([ JTxt('enchant.fragile.name', 'gray', translate=True), 'enchant.fragile.l0'], 'dark_gray', italic=True, translate=True),
                'enchant.fragile.l1'
            ], 'dark_gray', italic=True, translate=True)
        ]),
        model = '5001',
        rank = Rank.C,
        size = ShardSize.big,
        price = 6
        )
]

d = [
    # small_strength
    Shard(
        name = JTxt('small_strength_shard.name','#EB0000', True, underlined = True),
        rank = Rank.D,
        size = ShardSize.small,
        model = '5013',
        stats = Stats([ Stat('dmg', 1) ]),
        bought = True
        ),
    # small_attk_speed
    Shard(
        name = JTxt('small_attack_speed_shard.name','#FFE8BA', True, underlined = True),
        rank = Rank.D,
        size = ShardSize.small,
        model = '5023',
        stats = Stats([ Stat('attk_speed', 0.25) ]),
        price = 3
        ),
    # small_mana_cost
    Shard(
        name = JTxt('small_mana_cost_shard.name','#30DAE6', True, underlined = True),
        rank = Rank.D,
        size = ShardSize.small,
        model = '5033',
        stats = Stats([ Stat('mana_cost', -5) ]),
        bought = 3
        ),
    # small_speed
    Shard(
        name = JTxt('small_speed_shard.name','#8AF2E1', True, underlined = True),
        rank = Rank.D,
        size = ShardSize.small,
        model = '5043',
        stats = Stats([ Stat('speed', 0.004) ]),
        bought = True
        ),
    # small_health
    Shard(
        name = JTxt('small_health_shard.name','#E65779', True, underlined = True),
        rank = Rank.D,
        size = ShardSize.small,
        model = '5053',
        stats = Stats([ Stat('hp', 2) ]),
        bought = True
        ),
    # small_protection
    Shard(
        name = JTxt('small_protection_shard.name','#E0DACE', True, underlined = True),
        rank = Rank.D,
        size = ShardSize.small,
        model = '5063',
        stats = Stats([ Stat('armor', 2) ]),
        bought = True
        ),
    # small_mana
    Shard(
        name = JTxt('small_mana_shard.name','#30DAE6', True, underlined = True),
        rank = Rank.D,
        size = ShardSize.small,
        model = '5073',
        stats = Stats([ Stat('mana_capacity', 5) ]),
        bought = True
        ),
    # small_luck
    Shard(
        name = JTxt('small_luck_shard.name','#5FF032', True, underlined = True),
        rank = Rank.D,
        size = ShardSize.small,
        model = '5083',
        stats = Stats([ Stat('luck', 5) ]),
        bought = True
        ),
    # small_pure
    Shard(
        name = JTxt('small_pure_shard.name','#F7F3B0', True, underlined = True),
        rank = Rank.D,
        size = ShardSize.small,
        model = '5093',
        stats = Stats([ Stat('curse', -1) ]),
        bought = True
        ),
]

shards = s + a + b + c + d
